Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.servlet.logging
Interface HttpAccountingInfo

    public interface HttpAccountingInfo

This interface returns information regarding HTTP requests and responses. This provides all the standard getters of the HttpServletRequest, HttpServletResponse as well as additional stuff, like timing metrics etc.

Method Summary
`Object` | `getAttribute(String name)`
`Enumeration` | `getAttributeNames()`
`String` | `getAuthType()`
`String` | `getCharacterEncoding()`
`String` | `getContentType()`
`String` | `getContextPath()`
`Cookie[]` | `getCookies()`
`long` | `getDateHeader(String name)`
`String` | `getHeader(String name)`
`Enumeration` | `getHeaderNames()`
`Enumeration` | `getHeaders(String name)`
`int` | `getIntHeader(String name)`
`long` | `getInvokeTime()`
`Locale` | `getLocale()`
`Enumeration` | `getLocales()`
`String` | `getMethod()`
`String` | `getParameter(String name)`
`Enumeration` | `getParameterNames()`
`String[]` | `getParameterValues(String name)`
`String` | `getPathInfo()`
`String` | `getPathTranslated()`
`String` | `getProtocol()`
`String` | `getQueryString()`
`String` | `getRemoteAddr()`
`String` | `getRemoteHost()`
`String` | `getRemoteUser()`
`String` | `getRequestedSessionId()`
`String` | `getRequestURI()`
`int` | `getResponseContentLength()`
`String` | `getResponseHeader(String name)`
`int` | `getResponseStatusCode()`
`String` | `getScheme()`
`weblogic.protocol.ServerChannel` | `getServerChannel()`
`String` | `getServerName()`
`int` | `getServerPort()`
`String` | `getServletPath()`
`byte[]` | `getURIAsBytes()`
`Principal` | `getUserPrincipal()`
`boolean` | `isRequestedSessionIdFromCookie()`
`boolean` | `isRequestedSessionIdFromUrl()`
`boolean` | `isRequestedSessionIdFromURL()`
`boolean` | `isRequestedSessionIdValid()`
`boolean` | `isSecure()`

Method Detail

### getAttribute

    Object getAttribute(String name)

### getAttributeNames

    Enumeration getAttributeNames()

### getCharacterEncoding

    String getCharacterEncoding()

### getResponseContentLength

    int getResponseContentLength()

### getContentType

    String getContentType()

### getLocale

    Locale getLocale()

### getLocales

    Enumeration getLocales()

### getParameter

    String getParameter(String name)

### getParameterNames

    Enumeration getParameterNames()

### getParameterValues

    String[] getParameterValues(String name)

### getProtocol

    String getProtocol()

### getRemoteAddr

    String getRemoteAddr()

### getRemoteHost

    String getRemoteHost()

### getScheme

    String getScheme()

### getServerName

    String getServerName()

### getServerPort

    int getServerPort()

### isSecure

    boolean isSecure()

### getAuthType

    String getAuthType()

### getContextPath

    String getContextPath()

### getCookies

    Cookie[] getCookies()

### getDateHeader

    long getDateHeader(String name)

### getHeader

    String getHeader(String name)

### getHeaderNames

    Enumeration getHeaderNames()

### getHeaders

    Enumeration getHeaders(String name)

### getIntHeader

    int getIntHeader(String name)

### getMethod

    String getMethod()

### getPathInfo

    String getPathInfo()

### getPathTranslated

    String getPathTranslated()

### getQueryString

    String getQueryString()

### getRemoteUser

    String getRemoteUser()

### getRequestURI

    String getRequestURI()

### getRequestedSessionId

    String getRequestedSessionId()

### getServletPath

    String getServletPath()

### getUserPrincipal

    Principal getUserPrincipal()

### isRequestedSessionIdFromCookie

    boolean isRequestedSessionIdFromCookie()

### isRequestedSessionIdFromURL

    boolean isRequestedSessionIdFromURL()

### isRequestedSessionIdFromUrl

    boolean isRequestedSessionIdFromUrl()

### isRequestedSessionIdValid

    boolean isRequestedSessionIdValid()

### getURIAsBytes

    byte[] getURIAsBytes()

### getInvokeTime

    long getInvokeTime()

### getResponseStatusCode

    int getResponseStatusCode()

### getResponseHeader

    String getResponseHeader(String name)

### getServerChannel

    weblogic.protocol.ServerChannel getServerChannel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD